@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    font-family: "Poppins", sans-serif;
}

html, body {
    height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
}

body {
    background-color: #f8f9fa;
    color: #063970;
    font-family: 'Arial', sans-serif;
}

.navbar {
    background-color: #2178DA;
}

.navbar-brand, .nav-link {
    color: #fff !important;
}

.footer {
    background-color: #333; 
    padding: 10px 0;
    color: #fff;
    text-align: center;
    margin-top: auto; 
    width: 100%;
    vertical-align: middle;
}

.footer p {
    margin: 0;
}

#adminActions .list-group-item {
    background-color: #2178DA;
    color: #fff;
    border: none;
}

#adminActions .list-group-item:hover {
    background-color: #063970;
}

#cartModal .modal-content {
    background-color: #f8f9fa;
    color: #063970;
}

#adminContent {
    background-color: #fff;
    padding: 20px;
    border: 1px solid #2178DA;
    flex: 1;
}

#itemsTable, #adminContent table {
    width: 100%;
}

#itemsTable th, #itemsTable td, #adminContent th, #adminContent td {
    padding: 10px;
    text-align: left;
    border: 1px solid #ddd;
}

#adminContent input, #adminContent button {
    margin-top: 10px;
}

.modal-header, .modal-footer {
    background-color: #2178DA;
    color: #fff;
}

/* Add padding to the bottom of the page content to avoid overlapping with the footer */
.container {
    flex: 1;
    padding-bottom: 40px;
}

.dot::after {
    content: '';
    display: inline-block;
    width: 8px;
    height: 8px;
    background-color: #18920f;
    border-radius: 50%;
    position: absolute;
    top: 10px;
    right: 45px;
}

/* Script.js elements styling */

.space{
    margin: 0 5px;
}